newsbeuter (2.9-5+deb9u1) stretch-security; urgency=high

  * Fix RCE vulnerability on bookmark. (CVE-2017-12904)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Fri, 18 Aug 2017 06:53:49 +0300

newsbeuter (2.9-5) unstable; urgency=medium

  * Refreshed patches.
  * Remove unnecessary code in d/rules.
  * Add doc-base registration for the docs.
  * Use dh_installdocs to install the contrib directory.
  Added patches:
  * 21-parse-h5-h6-html-headers.patch: Fix h5 and h6 html elements not being
    parsed correctly.

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 27 Dec 2016 09:15:53 +0200

newsbeuter (2.9-4) unstable; urgency=medium

  * debian/patches:
   + 01-typos.patch: Fix typos.
   + 02-new-issue-tracker.patch: Update docs to reference the new issue tracker.
   + Rename podbeuter-segfault-fix -> 03-podbeuter-segfault-fix.patch
   + 04-cache-deletion-with-one-feed.patch: Fix a bug deleting the cache if
   there's only one feed in the urls file.
   + Rename fix-memory-leak -> 05-fix-memory-leak.patch
   + Rename fix-highlight -> 06-fix-highlight.patch
   + 07-json-object-get.patch: Replace deprecated json_object_get calls.
   + 08-feeds-marked-unread.patch: Fix a bug that occasionally marks entire
   feeds unread.
   + 09-config-parser-off-by-one.patch: Fix an off-by-one error in the
   configparser sometimes breaking the highlight option.
   + 10-a2x-warnings.patch: Fix a2x warnings when compiling the documentation.
   + 11-query-feed-tokenization.patch: Fix ranges in query feeds.
   + 12-highlight-article-priority.patch: Fix priority of highlight-article so
   it works with unread items.
   + 13-dont-include-compilation-time.patch: Don't use __DATE__ and __TIME__ to
   allow for reproducible builds.
   + 14-handle-url-files-lacking-eol.patch: Fix newsbeuter not properly handling
   urls file without an EOL character at the end.
   + 15-dont-skip-ignored.patch: Don't skip items while applying ignore rules.
   + 16-fix-invalid-pointers.patch: Fix a use after free in the rss parser.
   + 17-dont-ignore-self-closing-tags.patch: Don't ignore self closing tags in
   the HTML parser.
   + 18-ssl-verify.patch: Newsbeuter's behaviour was to skip all SSL certificate
   verification, this patch enables verification by default and adds an
   ssl-verify option to disable it if required.
   + 19-clean-doc.patch: Uncomment clean-doc target and set it as a prerequisite
   to the clean target.
   + 20-prevent-http-header-reset.patch: Fix a bug that reset the HTTP headers
   breaking remote APIs.
   + doc/101-macro-example.patch: Fix incorrect example macro in the docs.
   + doc/102-color-config-example.patch: Show the actual commands in the default
   colour config example.
   + l10n/201-german-l10n-revision.patch: Revise the German translation.
   + Rename translation-fix.patch -> l10n/202-translation-fix.patch
  * debian/rules
   + Rebuild the docs before compiling.
   + Copy the entire contrib/ directory to usr/share/doc/newsbeuter, not just a
   few files.
  * debian/control
    + Add Build-Deps required to build the docs: asciidoc, libxml2-utils,
    xsltproc, docbook-xml, docbook-xsl
  * Bump standards to 3.9.8

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Fri, 28 Oct 2016 11:30:36 +0300

newsbeuter (2.9-3) unstable; urgency=medium

  * Fix memory leak. (Closes: #776728)
  * Migrate to debhelper.
  * Update homepage and watch file to use SSL.
  * Added current maintainer to the copyright file.

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 02 Apr 2016 13:57:34 +0300

newsbeuter (2.9-2) unstable; urgency=low

  * Completely removed newsbeuter-dbg from debian/control.

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 13 Mar 2016 12:15:31 +0200

newsbeuter (2.9-1) unstable; urgency=low

  * New upstream release. (Closes: #776728)
  * Fix segfault when downloading podcasts.
  * Fix highlight article option.
  * Patch erroneous Portuguese, Ukrainian and Chinese translations.
  * Debug symbols for newsbeuter are now provided by newsbeuter-dbgsym,
      newsbeuter-dbg is now obsolete and can be safely removed.
  * Fixed hardening options.
  * Updated copyright to format 1.0
  * Bumped standards to 3.9.7
  * Updated watch file.
  * Removed upstream README from docs.
  * New maintainer. (Closes: #800752)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Fri, 11 Mar 2016 22:21:54 +0200

newsbeuter (2.8-2) unstable; urgency=low

  * Add missing copyright statements for filter/Parser.frame,
    filter/Scanner.frame, and test/lemon.h (Closes: #760269).
  * Add version to GPL path in copyright file.

 -- Nico Golde <nion@debian.org>  Tue, 02 Sep 2014 12:15:52 +0200

newsbeuter (2.8-1) unstable; urgency=low

  * New upstream release.
   + Initialize pubDate_to  to fix crash on localtime() (Closes: #733307).
  * Add -dbg package. Thanks Erik Werner! (Closes: #733347).
  * Update build dependencies to libjson-c-dev as json-c has dropped
    has dropped a compatibility layer from libjson0 to libjson-c2
    (Closes: #745008).
  * Drop json type patches, no longer required.
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Fri, 18 Apr 2014 08:37:43 +0200

newsbeuter (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 02 Sep 2013 14:23:27 +0200

newsbeuter (2.6-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes required.
  * Remove fix_gcc-4.7_ftbfs.patch, included upstream.
  * Update fix_json_boolean_include.patch.
  * Bump compat level to 9, adjust debhelper dependency.
  * Hardening: switch to dpkg-dev >= 1.16.1~ and use buildflags.mk.


 -- Nico Golde <nion@debian.org>  Wed, 20 Mar 2013 20:28:55 +0100

newsbeuter (2.5-3) unstable; urgency=low

  * Bump standards version, no changes required.
  * Fix FTBFS issue due to json's switch from boolean to json_bool
    (Closes: #689225).
  * Build with hardening options.

 -- Nico Golde <nion@debian.org>  Sun, 30 Sep 2012 17:51:06 +0200

newsbeuter (2.5-2) unstable; urgency=low

  * Fix build errors with gcc-4.7 (Closes: #667296).
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Mon, 07 May 2012 21:27:20 +0200

newsbeuter (2.5-1) unstable; urgency=low

  * New upstream release (Closes: #655981).
  * Add libjson0-dev to the build dependencies.
  * Bump standards version.
  * debian/rules: add build-arch and build-indep
    targets as required by polics section 4.9.

 -- Nico Golde <nion@debian.org>  Sun, 15 Jan 2012 21:32:53 +0100

newsbeuter (2.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Tue, 01 Feb 2011 23:41:47 +0100

newsbeuter (2.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Adjust years in debian/copyright.

 -- Nico Golde <nion@debian.org>  Fri, 25 Jun 2010 22:49:14 +0200

newsbeuter (2.2-2) unstable; urgency=low

  * Do not cleanup deleted items uppon quitting so they will be
    reloaded and marked as new next time (Closes: #574665).

 -- Nico Golde <nion@debian.org>  Tue, 23 Mar 2010 19:09:18 +0100

newsbeuter (2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version, no changes needed.
  * Add contrib/f1sa.rb to installed contrib files.

 -- Nico Golde <nion@debian.org>  Sun, 14 Mar 2010 12:32:24 +0100

newsbeuter (2.1-1) unstable; urgency=low

  * New upstream release
    - fix rss title parsing (Closes: #526612).
    - fix FTBFS on kFreeBSD (Closes: #543591).

 -- Nico Golde <nion@debian.org>  Tue, 08 Dec 2009 21:20:22 +0100

newsbeuter (2.0-1) unstable; urgency=low

  * New upstream release.
    - Remove dependeny on mrss and nxml and add libxml2, newsbeuter
      now comes with its own parser.
    - Remove debian/patches and quilt dependency.
  * Bump to policy 3.8.1, no changes needed.
  * debian/copyright: adjust years.
  * Remove dh_clean -k call as it is deprecated -> dh_prep.
  * Change newsbeuter homepage, it now has an official one.
  * Fix watch file url, new upstream code location.
  * Add bookmark-scuttle.sh to installed contrib files.

 -- Nico Golde <nion@debian.org>  Tue, 21 Apr 2009 14:06:18 +0200

newsbeuter (1.3-1) unstable; urgency=low

  * New upstream release
    - switched to smart pointers, should fix all remaining segfaults (Closes: #498377).

 -- Nico Golde <nion@debian.org>  Thu, 04 Dec 2008 13:03:02 +0100

newsbeuter (1.2-1) unstable; urgency=low

  * New upstream release.
    - Fix incomplete quoting fix for article URLs by replacing '
      with the proper encoding in hex (Closes: #497495).
  * Update rss_parser.cpp part of the use_system-wide-libs for the
    new download-timeout option.

 -- Nico Golde <nion@debian.org>  Tue, 02 Sep 2008 13:56:35 +0200

newsbeuter (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes arbitrary code execution via crafted URL if passed to external browser
  * Drop debian/patches/{external_command_execution, wrap-long-lines},
    applied upstream.

 -- Nico Golde <nion@debian.org>  Mon, 01 Sep 2008 11:19:18 +0200

newsbeuter (1.0-3) unstable; urgency=low

  * Remove calls to libnxml-depends and libmrss-depends from rules as they
    break newsbeuter upgrades because nxml and mrss stopped providing their
    -abi packages (Closes: #496772).
  * Fix calling external html-render by passing the command to /bin/sh -c
    instead of directly to execve (external_command_execution; Closes: #496766).

 -- Nico Golde <nion@debian.org>  Wed, 27 Aug 2008 16:23:05 +0200

newsbeuter (1.0-2) unstable; urgency=low

  * Make newsbeuter depend on stfl >= 0.19 as the highlighting in the
    feed list, article list and article view needs it.
  * debian/patches/wrap-long-lines to wrap long header lines in the article
    view (Closes: #491122).

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 21:45:37 +0200

newsbeuter (1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards version to 3.8.0, no changes needed.
  * Bump compat level and debhelper dependency to 7.
  * Explicitly add libcurl4-gnutls-dev to build-depends to satisfy pkg-config.
  * Add quilt to build dependencies and introduce use_system-wide_libs to
    build newsbeuter with the system-wide libmrss and libnxml instead of
    directly patching the source with each release.

 -- Nico Golde <nion@debian.org>  Wed, 20 Aug 2008 13:53:57 +0200

newsbeuter (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 12 May 2008 16:25:56 +0200

newsbeuter (0.9-1) unstable; urgency=low

  * New upstream release.
    - Fix problem displaying titles when using zh_CN.UTF-8
      locale (Closes: #471434).
  * Add default configuration to set sensible-browser as browser and
    add dirs file to create /etc/newsbeuter (Closes: #470833).
  * remove libnxml-depends and libmrss-depends calls in rules and
    related dependency lines in control since they are not needed
    anymore (Closes: #467201).

 -- Nico Golde <nion@debian.org>  Thu, 01 May 2008 14:51:20 +0200

newsbeuter (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sun, 16 Mar 2008 16:38:06 +0100

newsbeuter (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in special locale combinations
      due to a bug when converting database content from multibyte to
      widechar (Closes: #470390).

 -- Nico Golde <nion@debian.org>  Tue, 11 Mar 2008 21:46:40 +0100

newsbeuter (0.8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: care about DEB_BUILD_OPTIONS.
  * debian/copyright: adjust copyright years.
  * debian/control: adding pkg-config as build-dependency as newsbeuter's
    buildsystem makes use of it now.
  * Patch Makefile and various source files to prevent linking against local
    copy of mrss and nxml.

 -- Nico Golde <nion@debian.org>  Fri, 07 Mar 2008 13:44:43 +0100

newsbeuter (0.7-5) unstable; urgency=low

  * Tighten the build dependencies to libnxml and libmrss to workaround
    possible future ABI breaks in those libs, thanks Torsten Werner for the
    patch.

 -- Nico Golde <nion@debian.org>  Tue, 04 Mar 2008 15:17:49 +0100

newsbeuter (0.7-4) unstable; urgency=low

  * Switch to compat level 6 as it is default now.
  * Change free call to sqlite3_free because we have sqlite-3.5
    in Debian now (Closes: #468476).

 -- Nico Golde <nion@debian.org>  Fri, 29 Feb 2008 15:10:16 +0100

newsbeuter (0.7-3) unstable; urgency=low

  * Add missing include headers to prevent FTBFS
    with gcc 4.3 (Closes: #455611).

 -- Nico Golde <nion@debian.org>  Sun, 20 Jan 2008 13:27:17 +0100

newsbeuter (0.7-2) unstable; urgency=low

  * Bump Standards Version, no changes needed.
  * Use the new Homepage control field instead of the Homepage tag.
  * Add missing includes for cstdlib in formatstring.cpp,
    cstdlib and cstring in configparser.cpp and alloca.h
    in logger.cpp (Closes: #455611).

 -- Nico Golde <nion@debian.org>  Wed, 12 Dec 2007 19:14:21 +0100

newsbeuter (0.7-1) unstable; urgency=low

  * New upstream release.
    - numbering of URLs not inconsistent anymore (Closes: #439170).
  * New release makes previously introduced patches obsolete so
    dpatch stuff and patches/ removed.

 -- Nico Golde <nion@debian.org>  Tue, 18 Sep 2007 13:54:54 +0200

newsbeuter (0.6-2) unstable; urgency=low

  * Included patch (01_quotefix.dpatch) to workaround design error
    in stfl_quote (see #439644).
  * Created patch (02_error-on-failed-inclusion.dpatch) to report an error
    message on failed file inclusion via the configuration
    file (Closes: #438936).
  * Build-Depend on dpatch for patches now.

 -- Nico Golde <nion@debian.org>  Sun, 02 Sep 2007 11:58:58 +0200

newsbeuter (0.6-1) unstable; urgency=low

  * New upstream release
    - fixed broken OPML import (Closes: #436477).
  * Added watch file.

 -- Nico Golde <nion@debian.org>  Tue, 14 Aug 2007 15:05:24 +0200

newsbeuter (0.5-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/config, upstream no ships an example config
    file.
  * Updated dependencies to specific versions since newsbeuter
    won't work with older versions.
  * Do not suppress clean target output in rules any longer.

 -- Nico Golde <nion@debian.org>  Wed, 01 Aug 2007 15:49:28 +0200

newsbeuter (0.4-2) unstable; urgency=low

  * Added example config file, thanks to Gregor Herrmann (Closes: #423083).
    Next upstream release will ship an example file.

 -- Nico Golde <nion@debian.org>  Thu, 10 May 2007 17:13:07 +0000

newsbeuter (0.4-1) unstable; urgency=low

  * New upstream release.
  * Removed dpatch dependency and patch for header inclusion,
    included upstream.
  * Changed Build-Dependencies to nxml >= 0.17.2 and mrss >= 0.17.1.

 -- Nico Golde <nion@debian.org>  Tue, 08 May 2007 18:35:46 +0200

newsbeuter (0.3-6) unstable; urgency=low

  * Recompile to fix broken ABI change of libmrss (Closes: #420340).

 -- Nico Golde <nion@debian.org>  Sat, 21 Apr 2007 19:44:35 +0200

newsbeuter (0.3-5) unstable; urgency=low

  * Added dependency on dpatch and created patch to prevent FTBS with
    newer gcc versions (Closes: #417447).

 -- Nico Golde <nion@debian.org>  Tue, 03 Apr 2007 00:33:56 +0200

newsbeuter (0.3-4) unstable; urgency=low

  * Fixed prefix for make target *grml*.

 -- Nico Golde <nion@debian.org>  Wed, 28 Mar 2007 11:17:32 +0200

newsbeuter (0.3-3) unstable; urgency=low

  * Added prefix to make call in rules to prevent
    broken locales since the prefix is needed during compile
    time here.

 -- Nico Golde <nion@debian.org>  Wed, 28 Mar 2007 10:43:53 +0200

newsbeuter (0.3-2) unstable; urgency=low

  * Added ncursesw dependency to prevent FTBFS.

 -- Nico Golde <nion@debian.org>  Mon, 26 Mar 2007 21:22:07 +0200

newsbeuter (0.3-1) unstable; urgency=low

  * New upstream release.
    - Dependency on libidn not needed anymore, dropped.
  * Changed maintainer address.
  * Dependency on libnxml is now >=0.17.1 because of a bug
    in previous versions.

 -- Nico Golde <nion@debian.org>  Fri, 23 Mar 2007 13:06:57 +0100

newsbeuter (0.2-1) unstable; urgency=low

  * New upstream release.
  * Added search capability to description field.
  * Build-dependencies for libnxml0 (>=0.16) and libmrss0-dev (>=0.17)
    since the new release works only with newer versions of these libs.
  * Added CHANGES file to dh_installchangelogs instruction in rules.
  * Added README to docs.

 -- Nico Golde <nico@ngolde.de>  Wed, 21 Feb 2007 13:53:58 +0100

newsbeuter (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #407054).

 -- Nico Golde <nico@ngolde.de>  Mon, 15 Jan 2007 23:10:03 +0100
